/*
 * Copyright 2025 ES4X
 *
 * ES4X licenses this file to you under the Apache License, version 2.0
 * (the "License"); you may not use this file except in compliance with the
 * License.  You may obtain a copy of the License at:
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the
 * License for the specific language governing permissions and limitations
 * under the License.
 */

/**
 * The {@link ApolloWSMessage} types.
 */
export enum ApolloWSMessageType {
  CONNECTION_INIT,
  CONNECTION_TERMINATE,
  START,
  STOP,
  CONNECTION_ACK,
  CONNECTION_ERROR,
  CONNECTION_KEEP_ALIVE,
  DATA,
  ERROR,
  COMPLETE
}

/**
 * The {@link Message} types.
 */
export enum MessageType {
  CONNECTION_INIT,
  CONNECTION_ACK,
  PING,
  PONG,
  SUBSCRIBE,
  NEXT,
  ERROR,
  COMPLETE
}
