/*
 * Copyright 2025 ES4X
 *
 * ES4X licenses this file to you under the Apache License, version 2.0
 * (the "License"); you may not use this file except in compliance with the
 * License.  You may obtain a copy of the License at:
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the
 * License for the specific language governing permissions and limitations
 * under the License.
 */

/// <reference types="@vertx/web-graphql" />

/**
 * @typedef { import("@vertx/core") } Java
 */
module.exports = {
  GraphQL: Java.type('graphql.GraphQL'),
,
  GraphQL$Builder: Java.type('graphql.GraphQL$Builder'),
,
  RuntimeWiring: Java.type('graphql.schema.idl.RuntimeWiring'),
,
  RuntimeWiring$Builder: Java.type('graphql.schema.idl.RuntimeWiring$Builder'),
,
  SchemaGenerator: Java.type('graphql.schema.idl.SchemaGenerator'),
,
  SchemaParser: Java.type('graphql.schema.idl.SchemaParser'),
,
  ApolloWSConnectionInitEvent: Java.type('io.vertx.ext.web.handler.graphql.ApolloWSConnectionInitEvent'),
  ApolloWSHandler: Java.type('io.vertx.ext.web.handler.graphql.ApolloWSHandler'),
  ApolloWSMessage: Java.type('io.vertx.ext.web.handler.graphql.ApolloWSMessage'),
  ConnectionInitEvent: Java.type('io.vertx.ext.web.handler.graphql.ws.ConnectionInitEvent'),
  ExecutionInputBuilderWithContext: Java.type('io.vertx.ext.web.handler.graphql.ExecutionInputBuilderWithContext'),
  GraphQLHandler: Java.type('io.vertx.ext.web.handler.graphql.GraphQLHandler'),
  GraphQLHandlerBuilder: Java.type('io.vertx.ext.web.handler.graphql.GraphQLHandlerBuilder'),
  GraphQLWSHandler: Java.type('io.vertx.ext.web.handler.graphql.ws.GraphQLWSHandler'),
  GraphQLWSHandlerBuilder: Java.type('io.vertx.ext.web.handler.graphql.ws.GraphQLWSHandlerBuilder'),
  GraphiQLHandler: Java.type('io.vertx.ext.web.handler.graphql.GraphiQLHandler'),
  GraphiQLHandlerBuilder: Java.type('io.vertx.ext.web.handler.graphql.GraphiQLHandlerBuilder'),
  Message: Java.type('io.vertx.ext.web.handler.graphql.ws.Message'),
  UploadScalar: Java.type('io.vertx.ext.web.handler.graphql.UploadScalar'),
  VertxBatchLoader: Java.type('io.vertx.ext.web.handler.graphql.dataloader.VertxBatchLoader'),
  VertxDataFetcher: Java.type('io.vertx.ext.web.handler.graphql.schema.VertxDataFetcher'),
  VertxMappedBatchLoader: Java.type('io.vertx.ext.web.handler.graphql.dataloader.VertxMappedBatchLoader'),
  VertxPropertyDataFetcher: Java.type('io.vertx.ext.web.handler.graphql.schema.VertxPropertyDataFetcher')
};
