/*
 * Copyright 2025 ES4X
 *
 * ES4X licenses this file to you under the Apache License, version 2.0
 * (the "License"); you may not use this file except in compliance with the
 * License.  You may obtain a copy of the License at:
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the
 * License for the specific language governing permissions and limitations
 * under the License.
 */

/// <reference types="@vertx/web-graphql" />

/**
 * @typedef { import("@vertx/core") } Java
 */
export const GraphQL = Java.type('graphql.GraphQL');

export const GraphQL$Builder = Java.type('graphql.GraphQL$Builder');

export const RuntimeWiring = Java.type('graphql.schema.idl.RuntimeWiring');

export const RuntimeWiring$Builder = Java.type('graphql.schema.idl.RuntimeWiring$Builder');

export const SchemaGenerator = Java.type('graphql.schema.idl.SchemaGenerator');

export const SchemaParser = Java.type('graphql.schema.idl.SchemaParser');

export const ApolloWSConnectionInitEvent = Java.type('io.vertx.ext.web.handler.graphql.ApolloWSConnectionInitEvent');
export const ApolloWSHandler = Java.type('io.vertx.ext.web.handler.graphql.ApolloWSHandler');
export const ApolloWSMessage = Java.type('io.vertx.ext.web.handler.graphql.ApolloWSMessage');
export const ConnectionInitEvent = Java.type('io.vertx.ext.web.handler.graphql.ws.ConnectionInitEvent');
export const ExecutionInputBuilderWithContext = Java.type('io.vertx.ext.web.handler.graphql.ExecutionInputBuilderWithContext');
export const GraphQLHandler = Java.type('io.vertx.ext.web.handler.graphql.GraphQLHandler');
export const GraphQLHandlerBuilder = Java.type('io.vertx.ext.web.handler.graphql.GraphQLHandlerBuilder');
export const GraphQLWSHandler = Java.type('io.vertx.ext.web.handler.graphql.ws.GraphQLWSHandler');
export const GraphQLWSHandlerBuilder = Java.type('io.vertx.ext.web.handler.graphql.ws.GraphQLWSHandlerBuilder');
export const GraphiQLHandler = Java.type('io.vertx.ext.web.handler.graphql.GraphiQLHandler');
export const GraphiQLHandlerBuilder = Java.type('io.vertx.ext.web.handler.graphql.GraphiQLHandlerBuilder');
export const Message = Java.type('io.vertx.ext.web.handler.graphql.ws.Message');
export const UploadScalar = Java.type('io.vertx.ext.web.handler.graphql.UploadScalar');
export const VertxBatchLoader = Java.type('io.vertx.ext.web.handler.graphql.dataloader.VertxBatchLoader');
export const VertxDataFetcher = Java.type('io.vertx.ext.web.handler.graphql.schema.VertxDataFetcher');
export const VertxMappedBatchLoader = Java.type('io.vertx.ext.web.handler.graphql.dataloader.VertxMappedBatchLoader');
export const VertxPropertyDataFetcher = Java.type('io.vertx.ext.web.handler.graphql.schema.VertxPropertyDataFetcher');
